Main Site Documentation

Download Nuget Packages for some Modules


#1

I’ve created some Nuget Packages for GHI Gadgeteer modules:
List of modules currently available:

  • Accel G248
  • Button
  • DisplayN18
  • Led7C
  • LedStrip
  • LightSense
  • TempHumid
  • Tunes

They can be found here:
http://www.bauland.fr/Nuget/
And source code is here:


SPI display provider in TinyCLR 0.9
Gadgeteer Display N18
#2

Thanks for your work!


#3

Currently available:

  • Button
  • DisplayN18
  • LedStrip
  • LightSense

#4

@Bauland
I downloaded the source. It did not compile out of the box. I had no time to look why. Maybe you have already fixed this.


#5

Which version of VS do you use ? Have you GHI Nuget ?


#6

I use VS2017 (updated today) with GHI Nuget 0.60


#7

Which errors have you ?


#8

I’ll tell you when I am home again…


#9

Currently available:

  • Accel G248
  • Button
  • DisplayN18
  • LedStrip
  • LightSense
  • Tunes

#10

Thanks for that! :slight_smile:


#11

@Bauland:
These are the messages I get:


#12

@mflume:
Lines beginning by nuget pack in error are because nuget must be on your path set in environment variable PATH.
You can download it: https://dist.nuget.org/win-x86-commandline/latest/nuget.exe

(you should close and restart VS if you change you path your PATH variable.)


#13

@Bauland:
…ok, the nuget error is gone, but:
there are still errors left. Especially “LedStrip not found” and several warnings, which are not very important as far as I see.
I can try to fix it myself, but if you have a hint…


#14

First it appears that you don’t have the latest version.
Warnings are not important.

If you don’t want to load latest version, you can remove the reference to LedStrip. And import the Nuget package you create.


#15

I downloaded the version you mentioned above.
I used your module-files separately and it worked.
I only wanted to tell you, that the complete solution does not compile correctly.


#16

Could you send list of errors please, I don’t known why it does not compile ? And aim of open source code is that it could be compile by every people !


#17

Thank you for making this available.


#18

Site updated: an error prevents to download any packages. :scream:

Currently available:

  • Accel G248
  • Button
  • DisplayN18
  • LedStrip
  • LightSense
  • TempHumid
  • Tunes

#19

@Bauland:
I just downloaded the new version. It compiles without errors now.
Thank you.
I’ll look later what was changed…


#20

Good news ! :slight_smile:


DeviceInformation.FindAll throws not supported exception